Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data
Class XYDataPair

    java.lang.Object
      org.jfree.data.XYDataItem
          org.jfree.data.XYDataPair

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, java.io.Serializable

Deprecated. Use `XYDataItem`.

public class XYDataPair
extends XYDataItem

Represents one (x, y) data item for an xy-series.

See Also:
  Serialized Form

Constructor Summary
`XYDataPair(double x, double y)` Deprecated. Constructs a new data pair.
`XYDataPair(java.lang.Number x, java.lang.Number y)` Deprecated. Constructs a new data pair.

Methods inherited from class org.jfree.data.XYDataItem
`clone, compareTo, equals, getX, getY, hashCode, setY`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XYDataPair

    public XYDataPair(java.lang.Number x,
                      java.lang.Number y)

  Deprecated.
  Constructs a new data pair.

Parameters:
  `x` - the x-value.
  `y` - the y-value.

### XYDataPair

    public XYDataPair(double x,
                      double y)

  Deprecated.
  Constructs a new data pair.

Parameters:
  `x` - the x-value.
  `y` - the y-value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD